Page MenuHomePhabricator

Devanagari (Nepali) Text not properly rendered in PDF created by Collection extension
Closed, ResolvedPublic

Description

Thanks a lot for enabling Collection Extension in Nepali Wikipedia , it's really useful but we are facing issues since the pdf file generated is not much useful .

OS : Windows and Mac , Browsers : Firefox and Chrome

Steps to Reproduce the bug :

Actual result :

  • PDF extension is working on a straight forward manner ( byte stream ) without proper rendering or lay outing

Expected result :

  • Should support Devanagari rendering rather than just creating the pdf on the basis of byte stream please see the examples


and

Suggestion : Text Shaping engines like harfbuzz : http://www.freedesktop.org/wiki/Software/HarfBuzz/ pretty well for Devanagari including Nepali

Ref:

#http://unicode.org/charts/PDF/U0900.pdf
# https://www.microsoft.com/typography/otfntdev/devanot/appen.aspx
#http://www.unicode.org/L2/L1999/99235.pdf
#http://unicode.org/review/pr-37.pdf

Event Timeline

sarojdhakal assigned this task to demon.
sarojdhakal raised the priority of this task from to Normal.
sarojdhakal updated the task description. (Show Details)
sarojdhakal added subscribers: gerritbot, Glaisher, tomasz and 4 others.

@sarojdhakal: As you added the "Patch-For-Review" project here, please link to your patch in Gerrit that awaits review. Removing that project for the time being.

Aklapper renamed this task from Devanagari ( Nepali ) Text is not properly rendered in the pdf created by the Collection extension to Devanagari (Nepali) Text not properly rendered in PDF created by Collection extension.Mar 16 2015, 11:39 AM
Aklapper raised the priority of this task from Normal to Needs Triage.
Aklapper set Security to None.

@sarojdhakal: Did you talk to demon before, or why did you assign this task to him?

Just created the subtask under the task to enable collection extension, those are the default options taken, I did not modify it . I do not have patch to submit at the moment

demon removed demon as the assignee of this task.Mar 16 2015, 2:23 PM
demon added a subscriber: demon.
sarojdhakal added a comment.EditedMar 19 2015, 1:40 PM

Apparently:

There is no issue like this in Hindi Wikipedia :

But in All other devanagari based wikipedias :

  1. Newari Wikipedia :
  2. Nepali Wikipedia :
  3. Maithili Wikipedia :

Any customization to collection extension in Hindi wikipedia that could possibly fix this issue

@sarojdhakal: Did you talk to Dereckson before, or why did you assign this task to him?

Arrbee added a subscriber: Arrbee.Apr 16 2015, 3:55 PM
Dereckson removed Dereckson as the assignee of this task.Apr 27 2015, 1:42 PM
Dereckson added a subscriber: Dereckson.

By lack of rationale for the assignment (and as I'm not currently working on this issue), I reset this task's assignee.

Amire80 added a subscriber: cscott.May 20 2015, 6:06 PM

If I'm not mistaken, @cscott is the main maintainer of this extension.

If Hindi works, other Devanagari-based languages should work, too, so it may be just a simple configuration issue, but I'm really not an expert.

Yes, this is an issue with the mw-ocg-latexer package. We do have Devanagari support, so this is probably just a matter of adding the right configuration for newiki.

demon removed a subscriber: demon.May 20 2015, 8:04 PM

Change 212438 had a related patch set uploaded (by Cscott):
T92817: improve text rendering for nepali languages.

https://gerrit.wikimedia.org/r/212438

Change 212438 merged by jenkins-bot:
T92817: improve text rendering for nepali languages.

https://gerrit.wikimedia.org/r/212438

I am using https://ne.wikipedia.org/wiki/%E0%A4%A8%E0%A5%87%E0%A4%AA%E0%A4%BE%E0%A4%B2%E0%A5%80_%E0%A4%AD%E0%A4%BE%E0%A4%B7%E0%A4%BE
https://new.wikipedia.org/wiki/%E0%A4%A8%E0%A5%87%E0%A4%AA%E0%A4%BE%E0%A4%B2%E0%A4%AD%E0%A4%BE%E0%A4%B7%E0%A4%BE
and
https://mai.wikipedia.org/wiki/%E0%A4%AE%E0%A5%88%E0%A4%A5%E0%A4%BF%E0%A4%B2%E0%A5%80_%E0%A4%AD%E0%A4%BE%E0%A4%B7%E0%A4%BE
as test cases. I just deployed https://gerrit.wikimedia.org/r/212438 which should improve rendering.
If there are still remaining problems, could you illustrate them with sections from one of the above three pages, if possible? That would help me see the problem and confirm when I've fixed it.

cscott closed this task as Resolved.May 21 2015, 1:50 PM
cscott claimed this task.

Biplab Anand says: "After the patch to OCG. The PDF export results looks pretty good. Happy to say the task is resolved after so long."